Update ingest stream settings

Base URL
https://{kibana_url}
  • PUT /api/streams/{name}/_ingest
Auth

Upserts the ingest settings of an ingest stream definition

Required authorization

Privileges manage_stream

Path parameters

name string · max length: 200 required

The name of the stream.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

ingest union anyOf required
Any of:
failure_store union anyOf required
Any of:
inherit object required
lifecycle union anyOf required
Any of:
dsl object required
data_retention string · min length: 1

A non-empty string.

downsample object[]
after string · min length: 1 required

A non-empty string.

fixed_interval string · min length: 1 required

A non-empty string.

frozen_after string · min length: 1

A non-empty string.

processing object required
steps union anyOf[] required
Any of:

Grok processor - Extract fields from text using grok patterns

action enum required
Values: grok
customIdentifier string · min length: 1

Custom identifier to correlate this processor across outputs

description string

Human-readable notes about this processor step

from string · min length: 1 required

Source field to parse with grok patterns

ignore_failure boolean

Continue pipeline execution if this processor fails

ignore_missing boolean

Skip processing when source field is missing

pattern_definitions map string to string
patterns string[] · min items: 1 required

Grok patterns applied in order to extract fields

where union anyOf

The root condition object. It can be a simple filter or a combination of other conditions.

Any of:

A basic filter condition, either unary or binary.

settings object required
index.number_of_replicas object
value number required
index.number_of_shards object
value number required
index.refresh_interval object
value union string | enum required
Values: -1
wired object required
draft boolean
fields map string to anyOf required
routing object[] required
destination string · min length: 1 required

A non-empty string.

draft boolean
status enum
Values: enabled disabled
where union anyOf required

The root condition object. It can be a simple filter or a combination of other conditions.

Any of:

A basic filter condition, either unary or binary.

Response

200

The ingest settings were updated successfully.

Base URL
https://{kibana_url}